Get authorization URL
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/oauth/authorization \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/oauth/authorization"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/oauth/authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Authorization request initiated successfully",
"data": {
"authorization_url": "https://app.usetyms.com/auth/oauth/self?client_id=tyms_pk_example&redirect_uri=https%3A%2F%2Fyourapp.com%2Foauth%2Fcallback&reference=conn_abc123"
}
}{
"status": "failed",
"message": "Invalid client id"
}OAuth
Get authorization URL
Start the OAuth flow. Returns an HTTPS URL to redirect the user for Tyms sign-in and business selection.
GET
/
oauth
/
authorization
Get authorization URL
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/oauth/authorization \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/oauth/authorization"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/oauth/authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Authorization request initiated successfully",
"data": {
"authorization_url": "https://app.usetyms.com/auth/oauth/self?client_id=tyms_pk_example&redirect_uri=https%3A%2F%2Fyourapp.com%2Foauth%2Fcallback&reference=conn_abc123"
}
}{
"status": "failed",
"message": "Invalid client id"
}Guide: OAuth 2.0. No API key on this request — only query parameters.
Authorizations
Query Parameters
Your app public key (tyms_pk_...).
HTTPS callback URL on your app.
Your correlation id for this authorization attempt.
Link to your app's privacy policy.
Link to your app's terms of service.